# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.event.impl.jobs.JobImpl
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_DELAY_OVERRIDE`
`":slingevent:delayOverride"`
`public static final String`
`PROPERTY_FINISHED_STATE`
`"slingevent:finishedState"`
`public static final String`
`PROPERTY_JOB_QUEUED`
`"event.job.queued.time"`
`public static final String`
`PROPERTY_RESOURCE_PATH`
`"slingevent:path"`

org.apache.sling.event.impl.jobs.config.ConfigurationConstants
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_PARALLEL`
`15`
`public static final String`
`DEFAULT_PRIORITY`
`"NORM"`
`public static final int`
`DEFAULT_RETRIES`
`10`
`public static final long`
`DEFAULT_RETRY_DELAY`
`2000L`
`public static final String`
`PROP_KEEP_JOBS`
`"queue.keepJobs"`
`public static final String`
`PROP_MAX_PARALLEL`
`"queue.maxparallel"`
`public static final String`
`PROP_NAME`
`"queue.name"`
`public static final String`
`PROP_PREFER_RUN_ON_CREATION_INSTANCE`
`"queue.preferRunOnCreationInstance"`
`public static final String`
`PROP_PRIORITY`
`"queue.priority"`
`public static final String`
`PROP_RETRIES`
`"queue.retries"`
`public static final String`
`PROP_RETRY_DELAY`
`"queue.retrydelay"`
`public static final String`
`PROP_THREAD_POOL_SIZE`
`"queue.threadPoolSize"`
`public static final String`
`PROP_TOPICS`
`"queue.topics"`
`public static final String`
`PROP_TYPE`
`"queue.type"`
org.apache.sling.event.impl.jobs.config.JobManagerConfiguration
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_BACKGROUND_LOAD_DELAY`
`10L`
`public static final String`
`DEFAULT_REPOSITORY_PATH`
`"/var/eventing/jobs"`
`public static final String`
`DEFAULT_SCHEDULED_JOBS_PATH`
`"/var/eventing/scheduled-jobs"`
`public static final String`
`PROPERTY_BACKGROUND_LOAD_DELAY`
`"load.delay"`
`public static final String`
`PROPERTY_REPOSITORY_PATH`
`"repository.path"`
`public static final String`
`PROPERTY_SCHEDULED_JOBS_PATH`
`"job.scheduled.jobs.path"`
org.apache.sling.event.impl.jobs.config.MainQueueConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`MAIN_QUEUE_NAME`
`"<main queue>"`
org.apache.sling.event.impl.jobs.config.TopologyCapabilities
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_TOPICS`
`"org.apache.sling.event.jobs.consumer.topics"`

org.apache.sling.event.impl.jobs.notifications.NotificationUtility
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_TIME`
`":time"`

org.apache.sling.event.impl.support.ResourceHelper
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_EVENT_STARTED`
`"org/osgi/framework/BundleEvent/STARTED"`
`public static final String`
`BUNDLE_EVENT_UPDATED`
`"org/osgi/framework/BundleEvent/UPDATED"`
`public static final String`
`PROPERTY_APPLICATION`
`"event.application"`
`public static final String`
`PROPERTY_DISTRIBUTE`
`"event.distribute"`
`public static final String`
`PROPERTY_JOB_ID`
`"slingevent:eventId"`
`public static final String`
`PROPERTY_JOB_TOPIC`
`"event.job.topic"`
`public static final String`
`PROPERTY_SCHEDULE_INFO`
`"slingevent:scheduleInfo"`
`public static final String`
`PROPERTY_SCHEDULE_INFO_TYPE`
`"slingevent:scheduleInfoType"`
`public static final String`
`PROPERTY_SCHEDULE_NAME`
`"slingevent:scheduleName"`
`public static final String`
`PROPERTY_SCHEDULE_SUSPENDED`
`"slingevent:scheduleSuspended"`
`public static final String`
`RESOURCE_TYPE_FOLDER`
`"sling:Folder"`
`public static final String`
`RESOURCE_TYPE_JOB`
`"slingevent:Job"`
`public static final String`
`RESOURCE_TYPE_SCHEDULED_JOB`
`"slingevent:TimedEvent"`
org.apache.sling.event.impl.support.ScheduleInfoImpl
Modifier and Type
Constant Field
Value
`public static final String`
`EVENTING_THREADPOOL_NAME`
`"org-apache-sling-event"`